Last Comment Bug 736416 - intermittent browser/components/sessionstore/test/browser_625016.js | Test timed out, followed by other errors
: intermittent browser/components/sessionstore/test/browser_625016.js | Test ti...
Status: RESOLVED FIXED
: intermittent-failure
Product: Firefox
Classification: Client Software
Component: Session Restore (show other bugs)
: unspecified
: All All
: -- normal (vote)
: Firefox 14
Assigned To: Tim Taubert [:ttaubert] (on PTO, back Aug 29th)
:
Mentors:
Depends on:
Blocks: 438871
  Show dependency treegraph
 
Reported: 2012-03-16 02:28 PDT by Marco Bonardo [::mak]
Modified: 2012-11-25 19:31 PST (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
patch v1 (963 bytes, patch)
2012-03-17 14:52 PDT, Tim Taubert [:ttaubert] (on PTO, back Aug 29th)
mak77: review+
Details | Diff | Splinter Review

Description Marco Bonardo [::mak] 2012-03-16 02:28:16 PDT
I'm including part of the previous test since there's an assert from Panorama that looks bogus
Looks like just after the timeout we correctly proceed and finish the test.

https://tbpl.mozilla.org/php/getParsedLog.php?id=10111419&tree=Fx-Team
https://tbpl.mozilla.org/php/getParsedLog.php?id=10115742&tree=Fx-Team
https://tbpl.mozilla.org/php/getParsedLog.php?id=10115738&tree=Fx-Team

INFO TEST-END | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_624727.js | finished in 118ms
TEST-INFO | checking window state
TEST-INFO | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_624727.js | Console message: trace: tabview assert: make sure the calculated rows, columns and maxColumns are correct
GroupItem_adjustAppTabTray(true)@chrome://browser/content/tabview.js:2897
("chrome://mozapps/skin/places/defaultFavicon.png")@chrome://browser/content/tabview.js:3674
GroupItems_getAppTabFavIconUrl_getFavIconUrlForTab(null)@chrome://browser/content/tabview.js:4559
(false)@chrome://browser/content/tabview.js:10306
onMessage([object Object])@chrome://browser/content/tabview.js:10256

TEST-INFO | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_624727.js | Console message: [JavaScript Warning: "Error in parsing value for '-moz-column-count'.  Declaration dropped." {file: "chrome://browser/content/tabview.html" line: 0}]
TEST-INFO | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_624727.js | Console message: [JavaScript Warning: "Error in parsing value for 'width'.  Declaration dropped." {file: "chrome://browser/content/tabview.html" line: 0}]
TEST-INFO | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_624727.js | Console message: [JavaScript Warning: "Error in parsing value for 'width'.  Declaration dropped." {file: "chrome://browser/content/tabview.html" line: 0}]
TEST-START | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js
TEST-PASS | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | starting with no closed windows
TEST-PASS | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | no closed windows on first save
TEST-INFO | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | Longer timeout required, waiting longer...  Remaining timeouts: 1
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | Test timed out

TEST-INFO | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | observe1: sessionstore-state-write
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | observe1: 2 windows in data being writted to disk - Got 1, expected 2
Stack trace:
    JS frame :: chrome://mochikit/content/browser-test.js :: test_is :: line 446
    JS frame :: chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js :: observe1 :: line 55
    JS frame :: resource:///components/nsSessionStore.js :: sss_saveStateObject :: line 3715
    JS frame :: resource:///components/nsSessionStore.js :: sss_saveState :: line 3702
    JS frame :: resource:///components/nsSessionStore.js :: sss_saveStateDelayed :: line 3641
    JS frame :: resource:///components/nsSessionStore.js :: sss_observe :: line 675
    JS frame :: chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js :: <TOP_LEVEL> :: line 23
    JS frame :: chrome://mochikit/content/browser-test.js :: Tester_nextTest :: line 242
    JS frame :: chrome://mochikit/content/browser-test.js :: <TOP_LEVEL> :: line 379
    native frame :: <unknown filename> :: <TOP_LEVEL> :: line 0

TEST-PASS | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | observe1: no closed windows in data being writted to disk
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | observe1: 1 closed window according to API - Got 0, expected 1
Stack trace:
    JS frame :: chrome://mochikit/content/browser-test.js :: test_is :: line 446
    JS frame :: chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js :: observe1 :: line 61
    JS frame :: resource:///components/nsSessionStore.js :: sss_saveStateObject :: line 3715
    JS frame :: resource:///components/nsSessionStore.js :: sss_saveState :: line 3702
    JS frame :: resource:///components/nsSessionStore.js :: sss_saveStateDelayed :: line 3641
    JS frame :: resource:///components/nsSessionStore.js :: sss_observe :: line 675
    JS frame :: chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js :: <TOP_LEVEL> :: line 23
    JS frame :: chrome://mochikit/content/browser-test.js :: Tester_nextTest :: line 242
    JS frame :: chrome://mochikit/content/browser-test.js :: <TOP_LEVEL> :: line 379
    native frame :: <unknown filename> :: <TOP_LEVEL> :: line 0
Comment 1 Treeherder Robot 2012-03-16 03:23:33 PDT
Ms2ger%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=10119361&tree=Firefox
Rev3 Fedora 12x64 mozilla-central pgo test mochitest-other on 2012-03-16 02:48:25

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | Test timed out
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | observe1: 2 windows in data being writted to disk - Got 1, expected 2
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | observe1: 1 closed window according to API - Got 0, expected 1
Comment 2 Treeherder Robot 2012-03-16 08:15:33 PDT
ttaubert
https://tbpl.mozilla.org/php/getParsedLog.php?id=10123562&tree=Fx-Team
Rev3 Fedora 12 fx-team pgo test mochitest-other on 2012-03-16 06:54:26

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | Test timed out
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | observe1: 2 windows in data being writted to disk - Got 1, expected 2
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | observe1: 1 closed window according to API - Got 0, expected 1
Comment 3 Treeherder Robot 2012-03-16 10:35:52 PDT
mbrubeck
https://tbpl.mozilla.org/php/getParsedLog.php?id=10127221&tree=Mozilla-Inbound
Rev3 Fedora 12x64 mozilla-inbound pgo test mochitest-other on 2012-03-16 09:54:27

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | Test timed out
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | observe1: 2 windows in data being writted to disk - Got 1, expected 2
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | observe1: 1 closed window according to API - Got 0, expected 1
Comment 4 Treeherder Robot 2012-03-16 10:35:55 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=10127221&tree=Mozilla-Inbound
Rev3 Fedora 12x64 mozilla-inbound pgo test mochitest-other on 2012-03-16 09:54:27

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | Test timed out
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | observe1: 2 windows in data being writted to disk - Got 1, expected 2
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | observe1: 1 closed window according to API - Got 0, expected 1
Comment 5 Treeherder Robot 2012-03-16 12:25:37 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=10128049&tree=Mozilla-Inbound
Rev3 Fedora 12x64 mozilla-inbound pgo test mochitest-other on 2012-03-16 10:30:38

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | Test timed out
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | observe1: 2 windows in data being writted to disk - Got 1, expected 2
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | observe1: 1 closed window according to API - Got 0, expected 1
Comment 6 Treeherder Robot 2012-03-16 13:52:11 PDT
ryanvm%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=10131383&tree=Mozilla-Inbound
Rev3 Fedora 12x64 mozilla-inbound pgo test mochitest-other on 2012-03-16 12:54:20

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | Test timed out
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | observe1: 2 windows in data being writted to disk - Got 1, expected 2
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | observe1: 1 closed window according to API - Got 0, expected 1
Comment 7 Treeherder Robot 2012-03-16 22:17:52 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=10136750&tree=Mozilla-Inbound
Rev3 Fedora 12 mozilla-inbound pgo test mochitest-other on 2012-03-16 16:09:17

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | Test timed out
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | observe1: 2 windows in data being writted to disk - Got 1, expected 2
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | observe1: 1 closed window according to API - Got 0, expected 1
Comment 8 Treeherder Robot 2012-03-17 01:16:30 PDT
ttaubert
https://tbpl.mozilla.org/php/getParsedLog.php?id=10141141&tree=Fx-Team
Rev3 Fedora 12 fx-team pgo test mochitest-other on 2012-03-16 19:02:21

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | Test timed out
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | observe1: 2 windows in data being writted to disk - Got 1, expected 2
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | observe1: 1 closed window according to API - Got 0, expected 1
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/webconsole/test/browser_webconsole_bug_595934_message_categories.js | test #0: error category 'CSS Loader' - Got XPConnect JavaScript, expected CSS Loader
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/webconsole/test/browser_webconsole_bug_595934_message_categories.js | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js:49; info is not defined
Comment 9 Treeherder Robot 2012-03-17 05:50:26 PDT
ryanvm%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=10146282&tree=Mozilla-Inbound
Rev3 WINNT 5.1 mozilla-inbound pgo test mochitest-other on 2012-03-17 03:27:28

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | Test timed out
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | observe1: 1 closed window according to API - Got 0, expected 1
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/tabview/test/browser_tabview_bug624265.js | Test timed out
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/tabview/test/browser_tabview_bug624265.js | Found a tab after previous test timed out: http://mochi.test:8888/#4
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/tabview/test/browser_tabview_bug624265.js | Found a tab after previous test timed out: http://mochi.test:8888/#3
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/tabview/test/browser_tabview_bug624265.js | Found a tab after previous test timed out: about:blank
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/tabview/test/browser_tabview_bug624265.js | Found a tab after previous test timed out: about:blank
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/tabview/test/browser_tabview_bug624727.js | start: tabview is hidden
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/tabview/test/browser_tabview_bug624727.js | start: there are 1 groups - Got 2, expected 1
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/tabview/test/browser_tabview_bug624727.js | an unexpected uncaught JS exception reported through window.onerror - tabItem1 is undefined at chrome://mochitests/content/browser/browser/components/tabview/test/browser_tabview_bug624727.js:123
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/tabview/test/browser_tabview_bug624727.js | Test timed out
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/tabview/test/browser_tabview_bug624727.js | Found a tab after previous test timed out: about:blank
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/tabview/test/browser_tabview_bug624727.js | Found a tab after previous test timed out: about:blank
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/tabview/test/browser_tabview_bug624727.js | Found a tab after previous test timed out: about:blank
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/tabview/test/browser_tabview_bug624847.js | start: there should be 1 groups - Got 2, expected 1
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/tabview/test/browser_tabview_bug624847.js | unpinned-restored: there should be 1 groups - Got 2, expected 1
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/tabview/test/browser_tabview_bug624847.js | pinned-restored: there should be 1 groups - Got 2, expected 1
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/tabview/test/browser_tabview_bug624847.js | finish: there should be 1 groups - Got 2, expected 1
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/tabview/test/browser_tabview_bug625195.js | Has one group only - Got 2, expected 1
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/tabview/test/browser_tabview_bug625955.js | Has one groupItem only - Got 2, expected 1
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/tabview/test/browser_tabview_bug650280.js | Test timed out
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/tabview/test/browser_tabview_bug650280.js | Cleanup function threw an exception - [Exception... "'Failure' when calling method: [nsIPrivateBrowsingService::privateBrowsingEnabled]"  nsresult: "0x80004005 (NS_ERROR_FAILURE)"  location: "JS frame :: chrome://mochitests/content/browser/browser/components/tabview/test/browser_tabview_bug650280.js :: <TOP_LEVEL> :: line 15"  data: no]
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/tabview/test/browser_tabview_bug677310.js | Test timed out
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/tabview/test/browser_tabview_bug677310.js | Cleanup function threw an exception - [Exception... "'Failure' when calling method: [nsIPrivateBrowsingService::privateBrowsingEnabled]"  nsresult: "0x80004005 (NS_ERROR_FAILURE)"  location: "JS frame :: chrome://mochitests/content/browser/browser/components/tabview/test/browser_tabview_bug677310.js :: <TOP_LEVEL> :: line 14"  data: no]
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/tabview/test/browser_tabview_bug679853.js | an unexpected uncaught JS exception reported through window.onerror - uncaught exception: [Exception... "'Failure' when calling method: [nsIPrivateBrowsingService::privateBrowsingEnabled]"  nsresult: "0x80004005 (NS_ERROR_FAILURE)"  location: "JS frame :: chrome://mochitests/content/browser/browser/components/tabview/test/head.js :: togglePrivateBrowsing :: line 386"  data: no] at :0
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/tabview/test/browser_tabview_bug679853.js | Test timed out
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/tabview/test/browser_tabview_bug681599.js | The search is disabled when entering Tabview
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/tabview/test/browser_tabview_privatebrowsing.js | Test timed out
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/tabview/test/browser_tabview_privatebrowsing.js | Cleanup function threw an exception - [Exception... "'Failure' when calling method: [nsIPrivateBrowsingService::privateBrowsingEnabled]"  nsresult: "0x80004005 (NS_ERROR_FAILURE)"  location: "JS frame :: chrome://mochitests/content/browser/browser/components/tabview/test/browser_tabview_privatebrowsing.js :: <TOP_LEVEL> :: line 30"  data: no]
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/tabview/test/browser_tabview_storage_policy.js | Test timed out
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/tabview/test/browser_tabview_storage_policy.js | Cleanup function threw an exception - [Exception... "'Failure' when calling method: [nsIPrivateBrowsingService::privateBrowsingEnabled]"  nsresult: "0x80004005 (NS_ERROR_FAILURE)"  location: "JS frame :: chrome://mochitests/content/browser/browser/components/tabview/test/browser_tabview_storage_policy.js :: <TOP_LEVEL> :: line 26"  data: no]
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/webconsole/test/browser_webconsole_bug_618311_private_browsing.js | an unexpected uncaught JS exception reported through window.onerror - uncaught exception: [Exception... "'Failure' when calling method: [nsIPrivateBrowsingService::privateBrowsingEnabled]"  nsresult: "0x80004005 (NS_ERROR_FAILURE)"  location: "JS frame :: chrome://mochitests/content/browser/browser/devtools/webconsole/test/browser_webconsole_bug_618311_private_browsing.js :: togglePBAndThen :: line 166"  data: no] at :0
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/webconsole/test/browser_webconsole_bug_618311_private_browsing.js | Test timed out
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/webconsole/test/browser_webconsole_bug_618311_private_browsing.js | Cleanup function threw an exception - [Exception... "'Failure' when calling method: [nsIPrivateBrowsingService::privateBrowsingEnabled]"  nsresult: "0x80004005 (NS_ERROR_FAILURE)"  location: "JS frame :: chrome://mochitests/content/browser/browser/devtools/webconsole/test/browser_webconsole_bug_618311_private_browsing.js :: <TOP_LEVEL> :: line 56"  data: no]
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/dom/indexedDB/test/browser_privateBrowsing.js | an unexpected uncaught JS exception reported through window.onerror - uncaught exception: [Exception... "'Failure' when calling method: [nsIPrivateBrowsingService::privateBrowsingEnabled]"  nsresult: "0x80004005 (NS_ERROR_FAILURE)"  location: "JS frame :: chrome://mochitests/content/browser/dom/indexedDB/test/browser_privateBrowsing.js :: test2 :: line 40"  data: no] at :0
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/dom/indexedDB/test/browser_privateBrowsing.js | Test timed out
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/dom/tests/browser/browser_ConsoleStoragePBTest.js | an unexpected uncaught JS exception reported through window.onerror - uncaught exception: [Exception... "'Failure' when calling method: [nsIPrivateBrowsingService::privateBrowsingEnabled]"  nsresult: "0x80004005 (NS_ERROR_FAILURE)"  location: "JS frame :: chrome://mochitests/content/browser/dom/tests/browser/browser_ConsoleStoragePBTest.js :: onLoad :: line 66"  data: no] at :0
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/dom/tests/browser/browser_ConsoleStoragePBTest.js | Test timed out
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/components/places/tests/browser/browser_visituri_privatebrowsing.js | Exception thrown - [Exception... "'Failure' when calling method: [nsIPrivateBrowsingService::privateBrowsingEnabled]"  nsresult: "0x80004005 (NS_ERROR_FAILURE)"  location: "JS frame :: chrome://mochitests/content/browser/toolkit/components/places/tests/browser/browser_visituri_privatebrowsing.js :: test :: line 54"  data: no]
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/components/places/tests/browser/browser_visituri_privatebrowsing.js | Found an unexpected tab at the end of test run: about:blank
Comment 10 Treeherder Robot 2012-03-17 05:50:59 PDT
ryanvm%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=10147609&tree=Mozilla-Inbound
Rev3 Fedora 12 mozilla-inbound pgo test mochitest-other on 2012-03-17 05:01:54

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | Test timed out
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | observe1: 2 windows in data being writted to disk - Got 1, expected 2
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | observe1: 1 closed window according to API - Got 0, expected 1
Comment 11 Treeherder Robot 2012-03-17 05:54:24 PDT
ryanvm%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=10145184&tree=Mozilla-Inbound
Rev3 Fedora 12x64 mozilla-inbound pgo test mochitest-other on 2012-03-17 01:09:26

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | Test timed out
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | observe1: 2 windows in data being writted to disk - Got 1, expected 2
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | observe1: 1 closed window according to API - Got 0, expected 1
Comment 12 Treeherder Robot 2012-03-17 05:54:56 PDT
ryanvm%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=10147512&tree=Mozilla-Inbound
Rev3 Fedora 12x64 mozilla-inbound pgo test mochitest-other on 2012-03-17 04:57:26

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | Test timed out
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | observe1: 2 windows in data being writted to disk - Got 1, expected 2
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | observe1: 1 closed window according to API - Got 0, expected 1
Comment 13 Treeherder Robot 2012-03-17 06:00:15 PDT
ryanvm%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=10146638&tree=Mozilla-Inbound
Rev3 Fedora 12x64 mozilla-inbound pgo test mochitest-other on 2012-03-17 03:54:18

4481 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/chrome/dom/tests/mochitest/chrome/test_dom_fullscreen_warning.xul | Must be in full-screen mode
4483 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/chrome/dom/tests/mochitest/chrome/test_dom_fullscreen_warning.xul | Should remain in full-screen mode for script initiated key events for VK_CONVERT
4484 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/chrome/dom/tests/mochitest/chrome/test_dom_fullscreen_warning.xul | Should remain in full-screen for VK_CONVERT press - got false, expected true
4485 ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/chrome/dom/tests/mochitest/chrome/test_dom_fullscreen_warning.xul | Should receive MozShowFullScreenWarning for VK_CONVERT press - got false, expected true
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | Test timed out
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | observe1: 2 windows in data being writted to disk - Got 1, expected 2
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | observe1: 1 closed window according to API - Got 0, expected 1
Comment 14 Treeherder Robot 2012-03-17 07:16:10 PDT
WG9s
https://tbpl.mozilla.org/php/getParsedLog.php?id=10146901&tree=Firefox
Rev3 Fedora 12x64 mozilla-central pgo test mochitest-other on 2012-03-17 04:09:14

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | Test timed out
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | observe1: 2 windows in data being writted to disk - Got 1, expected 2
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | observe1: 1 closed window according to API - Got 0, expected 1
Comment 15 Treeherder Robot 2012-03-17 10:06:30 PDT
jwatt
https://tbpl.mozilla.org/php/getParsedLog.php?id=10146524&tree=Firefox
Rev3 Fedora 12x64 mozilla-central pgo test mochitest-other on 2012-03-17 03:48:25

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | Test timed out
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | observe1: 2 windows in data being writted to disk - Got 1, expected 2
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | observe1: 1 closed window according to API - Got 0, expected 1
Comment 16 Treeherder Robot 2012-03-17 10:35:37 PDT
WG9s
https://tbpl.mozilla.org/php/getParsedLog.php?id=10151523&tree=Firefox
Rev3 Fedora 12x64 mozilla-central pgo test mochitest-other on 2012-03-17 09:47:25

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | Test timed out
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | observe1: 2 windows in data being writted to disk - Got 1, expected 2
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | observe1: 1 closed window according to API - Got 0, expected 1
Comment 17 Treeherder Robot 2012-03-17 11:59:58 PDT
msucan
https://tbpl.mozilla.org/php/getParsedLog.php?id=10151542&tree=Fx-Team
Rev3 Fedora 12x64 fx-team pgo test mochitest-other on 2012-03-17 09:54:30

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | Test timed out
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | observe1: 2 windows in data being writted to disk - Got 1, expected 2
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | observe1: 1 closed window according to API - Got 0, expected 1
Comment 18 Treeherder Robot 2012-03-17 12:12:19 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=10150134&tree=Mozilla-Inbound
Rev3 WINNT 5.1 mozilla-inbound pgo test mochitest-other on 2012-03-17 07:23:18

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | Test timed out
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | observe1: 2 windows in data being writted to disk - Got 1, expected 2
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | observe1: 1 closed window according to API - Got 0, expected 1
Comment 19 Treeherder Robot 2012-03-17 14:44:44 PDT
Ms2ger%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=10154383&tree=Mozilla-Inbound
Rev3 Fedora 12x64 mozilla-inbound pgo test mochitest-other on 2012-03-17 14:04:18

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | observe1: 2 windows in data being writted to disk - Got 1, expected 2
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | observe1: 1 closed window according to API - Got 0, expected 1
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | observe2: 1 closed window in data being writted to disk - Got 0, expected 1
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | observe2: 1 closed window according to API - Got 0, expected 1
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | 1 closed window according to API - Got 0, expected 1
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | Test timed out
Comment 20 Tim Taubert [:ttaubert] (on PTO, back Aug 29th) 2012-03-17 14:52:51 PDT
Created attachment 606905 [details] [diff] [review]
patch v1

The fix here is to call waitForSaveState() *before* opening a new window to provide a safe starting point for this test.

If we open a new window and a previous test already triggered the save-state timer it might notify our observer just after opening the window and closes it again before even being registered by SS.
Comment 21 Treeherder Robot 2012-03-17 16:42:00 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=10155566&tree=Firefox
Rev3 Fedora 12x64 mozilla-central pgo test mochitest-other on 2012-03-17 15:45:25

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | Test timed out
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | observe1: 2 windows in data being writted to disk - Got 1, expected 2
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | observe1: 1 closed window according to API - Got 0, expected 1
Comment 22 Treeherder Robot 2012-03-17 19:43:27 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=10157744&tree=Firefox
Rev3 Fedora 12 mozilla-central pgo test mochitest-other on 2012-03-17 18:54:26

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | Test timed out
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | observe1: 2 windows in data being writted to disk - Got 1, expected 2
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | observe1: 1 closed window according to API - Got 0, expected 1
Comment 23 Treeherder Robot 2012-03-17 19:43:32 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=10157749&tree=Mozilla-Inbound
Rev3 Fedora 12x64 mozilla-inbound pgo test mochitest-other on 2012-03-17 18:53:26

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | Test timed out
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | observe1: 2 windows in data being writted to disk - Got 1, expected 2
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | observe1: 1 closed window according to API - Got 0, expected 1
Comment 24 Treeherder Robot 2012-03-17 22:55:09 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=10145141&tree=Services-Central
Rev3 Fedora 12 services-central pgo test mochitest-other on 2012-03-17 00:54:55

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | Test timed out
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | observe1: 2 windows in data being writted to disk - Got 1, expected 2
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | observe1: 1 closed window according to API - Got 0, expected 1
Comment 25 Treeherder Robot 2012-03-17 22:58:12 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=10146406&tree=Services-Central
Rev3 Fedora 12x64 services-central pgo test mochitest-other on 2012-03-17 03:40:54

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | observe1: 2 windows in data being writted to disk - Got 1, expected 2
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | observe1: 1 closed window according to API - Got 0, expected 1
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | observe2: 1 closed window in data being writted to disk - Got 0, expected 1
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | observe2: 1 closed window according to API - Got 0, expected 1
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | 1 closed window according to API - Got 0, expected 1
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | Test timed out
Comment 26 Treeherder Robot 2012-03-17 22:58:41 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=10151477&tree=Services-Central
Rev3 Fedora 12x64 services-central pgo test mochitest-other on 2012-03-17 09:43:26

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | Test timed out
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | observe1: 2 windows in data being writted to disk - Got 1, expected 2
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | observe1: 1 closed window according to API - Got 0, expected 1
Comment 27 Treeherder Robot 2012-03-17 23:01:37 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=10155557&tree=Services-Central
Rev3 Fedora 12x64 services-central pgo test mochitest-other on 2012-03-17 15:40:52

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | Test timed out
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | observe1: 1 closed window according to API - Got 0, expected 1
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/tabview/test/browser_tabview_bug624265.js | Test timed out
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/tabview/test/browser_tabview_bug624265.js | Found a tab after previous test timed out: http://mochi.test:8888/#4
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/tabview/test/browser_tabview_bug624265.js | Found a tab after previous test timed out: http://mochi.test:8888/#3
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/tabview/test/browser_tabview_bug624265.js | Found a tab after previous test timed out: about:blank
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/tabview/test/browser_tabview_bug624265.js | Found a tab after previous test timed out: about:blank
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/tabview/test/browser_tabview_bug624727.js | start: tabview is hidden
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/tabview/test/browser_tabview_bug624727.js | start: there are 1 groups - Got 2, expected 1
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/tabview/test/browser_tabview_bug624727.js | an unexpected uncaught JS exception reported through window.onerror - tabItem1 is undefined at chrome://mochitests/content/browser/browser/components/tabview/test/browser_tabview_bug624727.js:123
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/tabview/test/browser_tabview_bug624727.js | Test timed out
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/tabview/test/browser_tabview_bug624727.js | Found a tab after previous test timed out: about:blank
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/tabview/test/browser_tabview_bug624727.js | Found a tab after previous test timed out: about:blank
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/tabview/test/browser_tabview_bug624727.js | Found a tab after previous test timed out: about:blank
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/tabview/test/browser_tabview_bug624847.js | start: there should be 1 groups - Got 2, expected 1
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/tabview/test/browser_tabview_bug624847.js | unpinned-restored: there should be 1 groups - Got 2, expected 1
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/tabview/test/browser_tabview_bug624847.js | pinned-restored: there should be 1 groups - Got 2, expected 1
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/tabview/test/browser_tabview_bug624847.js | finish: there should be 1 groups - Got 2, expected 1
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/tabview/test/browser_tabview_bug625195.js | Has one group only - Got 2, expected 1
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/tabview/test/browser_tabview_bug625955.js | Has one groupItem only - Got 2, expected 1
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/tabview/test/browser_tabview_bug650280.js | Test timed out
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/tabview/test/browser_tabview_bug650280.js | Cleanup function threw an exception - [Exception... "'Failure' when calling method: [nsIPrivateBrowsingService::privateBrowsingEnabled]"  nsresult: "0x80004005 (NS_ERROR_FAILURE)"  location: "JS frame :: chrome://mochitests/content/browser/browser/components/tabview/test/browser_tabview_bug650280.js :: <TOP_LEVEL> :: line 15"  data: no]
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/tabview/test/browser_tabview_bug677310.js | Test timed out
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/tabview/test/browser_tabview_bug677310.js | Cleanup function threw an exception - [Exception... "'Failure' when calling method: [nsIPrivateBrowsingService::privateBrowsingEnabled]"  nsresult: "0x80004005 (NS_ERROR_FAILURE)"  location: "JS frame :: chrome://mochitests/content/browser/browser/components/tabview/test/browser_tabview_bug677310.js :: <TOP_LEVEL> :: line 14"  data: no]
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/tabview/test/browser_tabview_bug679853.js | an unexpected uncaught JS exception reported through window.onerror - uncaught exception: [Exception... "'Failure' when calling method: [nsIPrivateBrowsingService::privateBrowsingEnabled]"  nsresult: "0x80004005 (NS_ERROR_FAILURE)"  location: "JS frame :: chrome://mochitests/content/browser/browser/components/tabview/test/head.js :: togglePrivateBrowsing :: line 386"  data: no] at :0
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/tabview/test/browser_tabview_bug679853.js | Test timed out
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/tabview/test/browser_tabview_bug681599.js | The search is disabled when entering Tabview
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/tabview/test/browser_tabview_privatebrowsing.js | Test timed out
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/tabview/test/browser_tabview_privatebrowsing.js | Cleanup function threw an exception - [Exception... "'Failure' when calling method: [nsIPrivateBrowsingService::privateBrowsingEnabled]"  nsresult: "0x80004005 (NS_ERROR_FAILURE)"  location: "JS frame :: chrome://mochitests/content/browser/browser/components/tabview/test/browser_tabview_privatebrowsing.js :: <TOP_LEVEL> :: line 30"  data: no]
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/tabview/test/browser_tabview_storage_policy.js | Test timed out
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/tabview/test/browser_tabview_storage_policy.js | Cleanup function threw an exception - [Exception... "'Failure' when calling method: [nsIPrivateBrowsingService::privateBrowsingEnabled]"  nsresult: "0x80004005 (NS_ERROR_FAILURE)"  location: "JS frame :: chrome://mochitests/content/browser/browser/components/tabview/test/browser_tabview_storage_policy.js :: <TOP_LEVEL> :: line 26"  data: no]
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/webconsole/test/browser_webconsole_bug_618311_private_browsing.js | an unexpected uncaught JS exception reported through window.onerror - uncaught exception: [Exception... "'Failure' when calling method: [nsIPrivateBrowsingService::privateBrowsingEnabled]"  nsresult: "0x80004005 (NS_ERROR_FAILURE)"  location: "JS frame :: chrome://mochitests/content/browser/browser/devtools/webconsole/test/browser_webconsole_bug_618311_private_browsing.js :: togglePBAndThen :: line 166"  data: no] at :0
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/webconsole/test/browser_webconsole_bug_618311_private_browsing.js | Test timed out
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/webconsole/test/browser_webconsole_bug_618311_private_browsing.js | Cleanup function threw an exception - [Exception... "'Failure' when calling method: [nsIPrivateBrowsingService::privateBrowsingEnabled]"  nsresult: "0x80004005 (NS_ERROR_FAILURE)"  location: "JS frame :: chrome://mochitests/content/browser/browser/devtools/webconsole/test/browser_webconsole_bug_618311_private_browsing.js :: <TOP_LEVEL> :: line 56"  data: no]
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/dom/indexedDB/test/browser_privateBrowsing.js | an unexpected uncaught JS exception reported through window.onerror - uncaught exception: [Exception... "'Failure' when calling method: [nsIPrivateBrowsingService::privateBrowsingEnabled]"  nsresult: "0x80004005 (NS_ERROR_FAILURE)"  location: "JS frame :: chrome://mochitests/content/browser/dom/indexedDB/test/browser_privateBrowsing.js :: test2 :: line 40"  data: no] at :0
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/dom/indexedDB/test/browser_privateBrowsing.js | Test timed out
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/dom/tests/browser/browser_ConsoleStoragePBTest.js | an unexpected uncaught JS exception reported through window.onerror - uncaught exception: [Exception... "'Failure' when calling method: [nsIPrivateBrowsingService::privateBrowsingEnabled]"  nsresult: "0x80004005 (NS_ERROR_FAILURE)"  location: "JS frame :: chrome://mochitests/content/browser/dom/tests/browser/browser_ConsoleStoragePBTest.js :: onLoad :: line 66"  data: no] at :0
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/dom/tests/browser/browser_ConsoleStoragePBTest.js | Test timed out
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/components/places/tests/browser/browser_visituri_privatebrowsing.js | Exception thrown - [Exception... "'Failure' when calling method: [nsIPrivateBrowsingService::privateBrowsingEnabled]"  nsresult: "0x80004005 (NS_ERROR_FAILURE)"  location: "JS frame :: chrome://mochitests/content/browser/toolkit/components/places/tests/browser/browser_visituri_privatebrowsing.js :: test :: line 54"  data: no]
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/toolkit/components/places/tests/browser/browser_visituri_privatebrowsing.js | Found an unexpected tab at the end of test run: about:blank
Comment 28 Treeherder Robot 2012-03-18 06:02:25 PDT
past
https://tbpl.mozilla.org/php/getParsedLog.php?id=10162527&tree=Fx-Team
Rev3 Fedora 12x64 fx-team pgo test mochitest-other on 2012-03-18 05:02:16

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | Test timed out
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | observe1: 2 windows in data being writted to disk - Got 1, expected 2
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | observe1: 1 closed window according to API - Got 0, expected 1
Comment 29 Treeherder Robot 2012-03-18 06:48:25 PDT
WG9s
https://tbpl.mozilla.org/php/getParsedLog.php?id=10161833&tree=Firefox
Rev3 Fedora 12x64 mozilla-central pgo test mochitest-other on 2012-03-18 04:07:22

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | Test timed out
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | observe1: 2 windows in data being writted to disk - Got 1, expected 2
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | observe1: 1 closed window according to API - Got 0, expected 1
Comment 30 Treeherder Robot 2012-03-18 09:31:11 PDT
ryanvm%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=10165148&tree=Mozilla-Inbound
Rev3 Fedora 12x64 mozilla-inbound pgo test mochitest-other on 2012-03-18 08:28:19

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | Test timed out
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | observe1: 2 windows in data being writted to disk - Got 1, expected 2
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | observe1: 1 closed window according to API - Got 0, expected 1
Comment 31 Treeherder Robot 2012-03-18 10:06:12 PDT
ryanvm%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=10160452&tree=Firefox
Rev3 Fedora 12 mozilla-central pgo test mochitest-other on 2012-03-18 00:56:32

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | Test timed out
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | observe1: 2 windows in data being writted to disk - Got 1, expected 2
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | observe1: 1 closed window according to API - Got 0, expected 1
Comment 32 Treeherder Robot 2012-03-18 10:06:26 PDT
ryanvm%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=10160452&tree=Firefox
Rev3 Fedora 12 mozilla-central pgo test mochitest-other on 2012-03-18 00:56:32

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | Test timed out
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | observe1: 2 windows in data being writted to disk - Got 1, expected 2
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | observe1: 1 closed window according to API - Got 0, expected 1
Comment 33 Treeherder Robot 2012-03-18 10:06:52 PDT
ryanvm%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=10161560&tree=Firefox
Rev3 Fedora 12x64 mozilla-central pgo test mochitest-other on 2012-03-18 03:49:25

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | observe1: 2 windows in data being writted to disk - Got 1, expected 2
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | observe1: 1 closed window according to API - Got 0, expected 1
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | observe2: 1 closed window in data being writted to disk - Got 0, expected 1
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | observe2: 1 closed window according to API - Got 0, expected 1
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | 1 closed window according to API - Got 0, expected 1
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | Test timed out
Comment 34 Treeherder Robot 2012-03-18 10:23:33 PDT
sgautherie
https://tbpl.mozilla.org/php/getParsedLog.php?id=10165546&tree=Firefox
Rev3 Fedora 12x64 mozilla-central pgo test mochitest-other on 2012-03-18 09:39:25

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | Test timed out
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | observe1: 2 windows in data being writted to disk - Got 1, expected 2
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | observe1: 1 closed window according to API - Got 0, expected 1
Comment 35 Treeherder Robot 2012-03-18 10:50:43 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=10165613&tree=Services-Central
Rev3 Fedora 12x64 services-central pgo test mochitest-other on 2012-03-18 09:55:19

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | Test timed out
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | observe1: 2 windows in data being writted to disk - Got 1, expected 2
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | observe1: 1 closed window according to API - Got 0, expected 1
Comment 36 Treeherder Robot 2012-03-18 19:54:03 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=10171081&tree=Mozilla-Inbound
Rev3 Fedora 12x64 mozilla-inbound pgo test mochitest-other on 2012-03-18 18:54:33

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | Test timed out
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | observe1: 2 windows in data being writted to disk - Got 1, expected 2
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | observe1: 1 closed window according to API - Got 0, expected 1
Comment 37 Treeherder Robot 2012-03-18 22:33:18 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=10172333&tree=Firefox
Rev3 Fedora 12x64 mozilla-central pgo test mochitest-other on 2012-03-18 21:41:25

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | observe1: 2 windows in data being writted to disk - Got 1, expected 2
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | observe1: 1 closed window according to API - Got 0, expected 1
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | observe2: 1 closed window in data being writted to disk - Got 0, expected 1
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | observe2: 1 closed window according to API - Got 0, expected 1
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | 1 closed window according to API - Got 0, expected 1
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | Test timed out
Comment 38 Treeherder Robot 2012-03-19 02:17:09 PDT
fyan%mozilla.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=10171080&tree=Fx-Team
Rev3 Fedora 12 fx-team pgo test mochitest-other on 2012-03-18 18:54:32

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | Test timed out
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | observe1: 2 windows in data being writted to disk - Got 1, expected 2
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | observe1: 1 closed window according to API - Got 0, expected 1
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/webconsole/test/browser_webconsole_bug_618078_network_exceptions.js | error category - Got XPConnect JavaScript, expected content javascript
Comment 39 Marco Bonardo [::mak] 2012-03-19 02:41:00 PDT
Comment on attachment 606905 [details] [diff] [review]
patch v1

hm, iirc I tried something similar (making the previous test wait) and still timed out.  Btw, this won't hurt.
Comment 40 Tim Taubert [:ttaubert] (on PTO, back Aug 29th) 2012-03-19 03:16:55 PDT
(In reply to Marco Bonardo [:mak] from comment #39)
> hm, iirc I tried something similar (making the previous test wait) and still
> timed out.  Btw, this won't hurt.

Thanks, this fixed the timeout on my windows box at least. We'll see how it goes.

https://hg.mozilla.org/integration/fx-team/rev/f671c3dc0f27
Comment 41 Treeherder Robot 2012-03-19 09:06:55 PDT
Ms2ger%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=10179499&tree=Firefox
Rev3 Fedora 12x64 mozilla-central pgo test mochitest-other on 2012-03-19 07:44:22

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | Test timed out
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | observe1: 2 windows in data being writted to disk - Got 1, expected 2
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | observe1: 1 closed window according to API - Got 0, expected 1
Comment 42 Treeherder Robot 2012-03-19 10:11:36 PDT
mbrubeck
https://tbpl.mozilla.org/php/getParsedLog.php?id=10178448&tree=Mozilla-Inbound
Rev3 Fedora 12x64 mozilla-inbound pgo test mochitest-other on 2012-03-19 06:52:25

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | Test timed out
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | observe1: 2 windows in data being writted to disk - Got 1, expected 2
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | observe1: 1 closed window according to API - Got 0, expected 1
Comment 43 Treeherder Robot 2012-03-19 11:11:50 PDT
mbrubeck
https://tbpl.mozilla.org/php/getParsedLog.php?id=10183240&tree=Mozilla-Inbound
Rev3 Fedora 12 mozilla-inbound pgo test mochitest-other on 2012-03-19 10:12:24

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | Test timed out
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | observe1: 2 windows in data being writted to disk - Got 1, expected 2
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | observe1: 1 closed window according to API - Got 0, expected 1
Comment 44 Treeherder Robot 2012-03-19 11:55:41 PDT
mbrubeck
https://tbpl.mozilla.org/php/getParsedLog.php?id=10175850&tree=Mozilla-Inbound
Rev3 Fedora 12x64 mozilla-inbound pgo test mochitest-other on 2012-03-19 03:52:25

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | Test timed out
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | observe1: 2 windows in data being writted to disk - Got 1, expected 2
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | observe1: 1 closed window according to API - Got 0, expected 1
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/webconsole/test/browser_webconsole_bug_603750_websocket.js | received a Web Socket error - Got XPConnect JavaScript, expected Web Socket
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/webconsole/test/browser_webconsole_bug_603750_websocket.js | sourceName is correct - Didn't expect -1, but got it
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/devtools/webconsole/test/browser_webconsole_bug_603750_websocket.js | same window ID (0) for both errors - Got 0, expected 7652
Comment 45 Treeherder Robot 2012-03-19 13:58:35 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=10188214&tree=Firefox
Rev3 Fedora 12 mozilla-central pgo test mochitest-other on 2012-03-19 13:03:25

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | Test timed out
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | observe1: 2 windows in data being writted to disk - Got 1, expected 2
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | observe1: 1 closed window according to API - Got 0, expected 1
Comment 46 Treeherder Robot 2012-03-19 23:00:27 PDT
sgautherie
https://tbpl.mozilla.org/php/getParsedLog.php?id=10202992&tree=Firefox
Rev3 Fedora 12x64 mozilla-central pgo test mochitest-other on 2012-03-19 21:56:55

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | Test timed out
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | observe1: 2 windows in data being writted to disk - Got 1, expected 2
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | observe1: 1 closed window according to API - Got 0, expected 1
Comment 47 Tim Taubert [:ttaubert] (on PTO, back Aug 29th) 2012-03-20 03:30:47 PDT
https://hg.mozilla.org/mozilla-central/rev/f671c3dc0f27
Comment 48 Treeherder Robot 2012-03-20 15:05:49 PDT
mbrubeck
https://tbpl.mozilla.org/php/getParsedLog.php?id=10205937&tree=Mozilla-Inbound
Rev3 Fedora 12x64 mozilla-inbound pgo test mochitest-other on 2012-03-20 01:05:01

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | Test timed out
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | observe1: 2 windows in data being writted to disk - Got 1, expected 2
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_625016.js | observe1: 1 closed window according to API - Got 0, expected 1

Note You need to log in before you can comment on or make changes to this bug.